# Interface methods for submodule: ImageRegionSplitterDirection
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageRegionSplitterBaseProxy as _ImageRegionSplitterBaseProxy


# Interface methods for class: ImageRegionSplitterDirection
class ImageRegionSplitterDirectionProxy(_ImageRegionSplitterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetDirection(self) -> int:
		""""""
		...

	def SetDirection(self, _arg: int) -> None:
		""""""
		...

